### Method

# Gdk GLTextureBuilderset_width

since: 4.12

#### Declaration [src]

    void
    gdk_gl_texture_builder_set_width (
      GdkGLTextureBuilder* self,
      int width
    )

#### Description [src]

Sets the width of the texture.

The width must be set before calling `gdk_gl_texture_builder_build()`.

Available since: 4.12

Sets property | `Gdk.GLTextureBuilder:width`

#### Parameters

`width`

  Type: `int`

  The texture’s width or 0 to unset.